--- old/usr/src/lib/libm/common/complex/carg.c	2014-11-25 12:58:06.255794870 -0500
+++ new/usr/src/lib/libm/common/complex/carg.c	2014-11-25 12:58:06.267221083 -0500
@@ -26,9 +26,8 @@
  * Use is subject to license terms.
  */
 
-#pragma weak carg = __carg
+#pragma weak __carg = carg
 
-#include "libm_synonyms.h"
 #include <math.h>		/* atan2 */
 #include "complex_wrapper.h"
 
--- old/usr/src/lib/libm/common/complex/cargf.c	2014-11-25 12:58:06.654941879 -0500
+++ new/usr/src/lib/libm/common/complex/cargf.c	2014-11-25 12:58:06.666426080 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cargf = __cargf
+#pragma weak __cargf = cargf
 
 #include "libm.h"			/* atan2f */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cargl.c	2014-11-25 12:58:07.110882522 -0500
+++ new/usr/src/lib/libm/common/complex/cargl.c	2014-11-25 12:58:07.122491403 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cargl = __cargl
+#pragma weak __cargl = cargl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/casin.c	2014-11-25 12:58:07.508752780 -0500
+++ new/usr/src/lib/libm/common/complex/casin.c	2014-11-25 12:58:07.520313724 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak casin = __casin
+#pragma weak __casin = casin
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/casinf.c	2014-11-25 12:58:07.942469742 -0500
+++ new/usr/src/lib/libm/common/complex/casinf.c	2014-11-25 12:58:07.954075310 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak casinf = __casinf
+#pragma weak __casinf = casinf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/casinh.c	2014-11-25 12:58:08.342822807 -0500
+++ new/usr/src/lib/libm/common/complex/casinh.c	2014-11-25 12:58:08.354345679 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak casinh = __casinh
+#pragma weak __casinh = casinh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/casinhf.c	2014-11-25 12:58:08.740390306 -0500
+++ new/usr/src/lib/libm/common/complex/casinhf.c	2014-11-25 12:58:08.753208008 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak casinhf = __casinhf
+#pragma weak __casinhf = casinhf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/casinhl.c	2014-11-25 12:58:09.142208067 -0500
+++ new/usr/src/lib/libm/common/complex/casinhl.c	2014-11-25 12:58:09.153609259 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak casinhl = __casinhl
+#pragma weak __casinhl = casinhl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/casinl.c	2014-11-25 12:58:10.000355801 -0500
+++ new/usr/src/lib/libm/common/complex/casinl.c	2014-11-25 12:58:10.109745654 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak casinl = __casinl
+#pragma weak __casinl = casinl
 
 #include "libm.h"		/* asinl/atanl/fabsl/isinfl/log1pl/logl/sqrtl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/catan.c	2014-11-25 12:58:10.516986214 -0500
+++ new/usr/src/lib/libm/common/complex/catan.c	2014-11-25 12:58:10.528544237 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak catan = __catan
+#pragma weak __catan = catan
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/catanf.c	2014-11-25 12:58:10.934903215 -0500
+++ new/usr/src/lib/libm/common/complex/catanf.c	2014-11-25 12:58:10.946537944 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak catanf = __catanf
+#pragma weak __catanf = catanf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/catanh.c	2014-11-25 12:58:11.346778616 -0500
+++ new/usr/src/lib/libm/common/complex/catanh.c	2014-11-25 12:58:11.358188456 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak catanh = __catanh
+#pragma weak __catanh = catanh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/catanhf.c	2014-11-25 12:58:11.744310600 -0500
+++ new/usr/src/lib/libm/common/complex/catanhf.c	2014-11-25 12:58:11.757309886 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak catanhf = __catanhf
+#pragma weak __catanhf = catanhf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/catanhl.c	2014-11-25 12:58:12.219505907 -0500
+++ new/usr/src/lib/libm/common/complex/catanhl.c	2014-11-25 12:58:12.231554707 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak catanhl = __catanhl
+#pragma weak __catanhl = catanhl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/catanl.c	2014-11-25 12:58:12.622933015 -0500
+++ new/usr/src/lib/libm/common/complex/catanl.c	2014-11-25 12:58:12.634451456 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak catanl = __catanl
+#pragma weak __catanl = catanl
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/ccos.c	2014-11-25 12:58:13.067367088 -0500
+++ new/usr/src/lib/libm/common/complex/ccos.c	2014-11-25 12:58:13.078982278 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ccos = __ccos
+#pragma weak __ccos = ccos
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/ccosf.c	2014-11-25 12:58:13.474604957 -0500
+++ new/usr/src/lib/libm/common/complex/ccosf.c	2014-11-25 12:58:13.486103764 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ccosf = __ccosf
+#pragma weak __ccosf = ccosf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/ccosh.c	2014-11-25 12:58:13.872753504 -0500
+++ new/usr/src/lib/libm/common/complex/ccosh.c	2014-11-25 12:58:13.884445536 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ccosh = __ccosh
+#pragma weak __ccosh = ccosh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/ccoshf.c	2014-11-25 12:58:14.764409747 -0500
+++ new/usr/src/lib/libm/common/complex/ccoshf.c	2014-11-25 12:58:15.030532459 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ccoshf = __ccoshf
+#pragma weak __ccoshf = ccoshf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/ccoshl.c	2014-11-25 12:58:15.457767116 -0500
+++ new/usr/src/lib/libm/common/complex/ccoshl.c	2014-11-25 12:58:15.469049634 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ccoshl = __ccoshl
+#pragma weak __ccoshl = ccoshl
 
 #include "libm.h"	/* coshl/expl/fabsl/scalbnl/sincosl/sinhl/__k_cexpl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/ccosl.c	2014-11-25 12:58:15.872548331 -0500
+++ new/usr/src/lib/libm/common/complex/ccosl.c	2014-11-25 12:58:15.884495675 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ccosl = __ccosl
+#pragma weak __ccosl = ccosl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cexp.c	2014-11-25 12:58:16.304435564 -0500
+++ new/usr/src/lib/libm/common/complex/cexp.c	2014-11-25 12:58:16.315857872 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cexp = __cexp
+#pragma weak __cexp = cexp
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/cexpf.c	2014-11-25 12:58:16.709091392 -0500
+++ new/usr/src/lib/libm/common/complex/cexpf.c	2014-11-25 12:58:16.720615345 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cexpf = __cexpf
+#pragma weak __cexpf = cexpf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cexpl.c	2014-11-25 12:58:17.132473256 -0500
+++ new/usr/src/lib/libm/common/complex/cexpl.c	2014-11-25 12:58:17.144142188 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cexpl = __cexpl
+#pragma weak __cexpl = cexpl
 
 #include "libm.h"		/* expl/isinfl/iszerol/scalbnl/sincosl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cimag.c	2014-11-25 12:58:17.546298066 -0500
+++ new/usr/src/lib/libm/common/complex/cimag.c	2014-11-25 12:58:17.557899864 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cimag = __cimag
+#pragma weak __cimag = cimag
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cimagf.c	2014-11-25 12:58:17.952057679 -0500
+++ new/usr/src/lib/libm/common/complex/cimagf.c	2014-11-25 12:58:17.963650244 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cimagf = __cimagf
+#pragma weak __cimagf = cimagf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cimagl.c	2014-11-25 12:58:18.372094032 -0500
+++ new/usr/src/lib/libm/common/complex/cimagl.c	2014-11-25 12:58:18.383519128 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cimagl = __cimagl
+#pragma weak __cimagl = cimagl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/clog.c	2014-11-25 12:58:18.819036346 -0500
+++ new/usr/src/lib/libm/common/complex/clog.c	2014-11-25 12:58:18.830992746 -0500
@@ -60,7 +60,6 @@
  */
 /* INDENT ON */
 
-#include "libm_synonyms.h"
 #include <math.h>		/* atan2/fabs/log/log1p */
 #include "complex_wrapper.h"
 #include "libm_protos.h"	/* __k_clog_r */
@@ -69,7 +68,7 @@
 static const double half = 0.5, one = 1.0;
 
 dcomplex
-clog(dcomplex z) {
+__clog(dcomplex z) {
 	dcomplex	ans;
 	double		x, y, t, ax, ay, w;
 	int		n, ix, iy, hx, hy;
--- old/usr/src/lib/libm/common/complex/clogf.c	2014-11-25 12:58:19.323396583 -0500
+++ new/usr/src/lib/libm/common/complex/clogf.c	2014-11-25 12:58:19.336129834 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak clogf = __clogf
+#pragma weak __clogf = clogf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/clogl.c	2014-11-25 12:58:19.934499900 -0500
+++ new/usr/src/lib/libm/common/complex/clogl.c	2014-11-25 12:58:19.966648798 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak clogl = __clogl
+#pragma weak __clogl = clogl
 
 #include "libm.h"	/* atan2l/fabsl/isinfl/log1pl/logl/__k_clog_rl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/conj.c	2014-11-25 12:58:20.607768398 -0500
+++ new/usr/src/lib/libm/common/complex/conj.c	2014-11-25 12:58:20.619509039 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak conj = __conj
+#pragma weak __conj = conj
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/conjf.c	2014-11-25 12:58:21.174307066 -0500
+++ new/usr/src/lib/libm/common/complex/conjf.c	2014-11-25 12:58:21.198440372 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak conjf = __conjf
+#pragma weak __conjf = conjf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/conjl.c	2014-11-25 12:58:21.585827006 -0500
+++ new/usr/src/lib/libm/common/complex/conjl.c	2014-11-25 12:58:21.597319854 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak conjl = __conjl
+#pragma weak __conjl = conjl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cpow.c	2014-11-25 12:58:22.240727743 -0500
+++ new/usr/src/lib/libm/common/complex/cpow.c	2014-11-25 12:58:22.253716808 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cpow = __cpow
+#pragma weak __cpow = cpow
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/cpowf.c	2014-11-25 12:58:22.757408595 -0500
+++ new/usr/src/lib/libm/common/complex/cpowf.c	2014-11-25 12:58:22.768656520 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cpowf = __cpowf
+#pragma weak __cpowf = cpowf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cpowl.c	2014-11-25 12:58:23.182360663 -0500
+++ new/usr/src/lib/libm/common/complex/cpowl.c	2014-11-25 12:58:23.194011811 -0500
@@ -27,12 +27,12 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cpowl = __cpowl
+#pragma weak __cpowl = cpowl
 
 #include "libm.h"				/* __k_clog_rl/__k_atan2l */
 /* atan2l/atan2pil/exp2l/expl/fabsl/hypotl/isinfl/logl/powl/sincosl/sincospil */
 #include "complex_wrapper.h"
-#include "longdouble.h" 
+#include "longdouble.h"
 
 #if defined(__sparc)
 #define	HALF(x)  ((int *) &x)[3] = 0; ((int *) &x)[2] &= 0xfe000000
--- old/usr/src/lib/libm/common/complex/cproj.c	2014-11-25 12:58:23.599978088 -0500
+++ new/usr/src/lib/libm/common/complex/cproj.c	2014-11-25 12:58:23.611509703 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cproj = __cproj
+#pragma weak __cproj = cproj
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/cprojf.c	2014-11-25 12:58:24.015402650 -0500
+++ new/usr/src/lib/libm/common/complex/cprojf.c	2014-11-25 12:58:24.027097029 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cprojf = __cprojf
+#pragma weak __cprojf = cprojf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/cprojl.c	2014-11-25 12:58:24.826253811 -0500
+++ new/usr/src/lib/libm/common/complex/cprojl.c	2014-11-25 12:58:24.837758131 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak cprojl = __cprojl
+#pragma weak __cprojl = cprojl
 
 #include "libm.h"		/* fabsl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/creal.c	2014-11-25 12:58:25.256411699 -0500
+++ new/usr/src/lib/libm/common/complex/creal.c	2014-11-25 12:58:25.268021037 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak creal = __creal
+#pragma weak __creal = creal
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/crealf.c	2014-11-25 12:58:25.668747988 -0500
+++ new/usr/src/lib/libm/common/complex/crealf.c	2014-11-25 12:58:25.680151203 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak crealf = __crealf
+#pragma weak __crealf = crealf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/creall.c	2014-11-25 12:58:26.082148770 -0500
+++ new/usr/src/lib/libm/common/complex/creall.c	2014-11-25 12:58:26.093601342 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak creall = __creall
+#pragma weak __creall = creall
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/csin.c	2014-11-25 12:58:26.479693414 -0500
+++ new/usr/src/lib/libm/common/complex/csin.c	2014-11-25 12:58:26.491111404 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csin = __csin
+#pragma weak __csin = csin
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/csinf.c	2014-11-25 12:58:26.886867538 -0500
+++ new/usr/src/lib/libm/common/complex/csinf.c	2014-11-25 12:58:26.898288986 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csinf = __csinf
+#pragma weak __csinf = csinf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/csinh.c	2014-11-25 12:58:27.288852733 -0500
+++ new/usr/src/lib/libm/common/complex/csinh.c	2014-11-25 12:58:27.300299773 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csinh = __csinh
+#pragma weak __csinh = csinh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/csinhf.c	2014-11-25 12:58:27.715721855 -0500
+++ new/usr/src/lib/libm/common/complex/csinhf.c	2014-11-25 12:58:27.727094338 -0500
@@ -26,7 +26,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csinhf = __csinhf
+#pragma weak __csinhf = csinhf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/csinhl.c	2014-11-25 12:58:28.129862764 -0500
+++ new/usr/src/lib/libm/common/complex/csinhl.c	2014-11-25 12:58:28.149122177 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csinhl = __csinhl
+#pragma weak __csinhl = csinhl
 
 #include "libm.h"	/* coshl/expl/fabsl/scalbnl/sincosl/sinhl/__k_cexpl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/csinl.c	2014-11-25 12:58:28.581694417 -0500
+++ new/usr/src/lib/libm/common/complex/csinl.c	2014-11-25 12:58:28.593261075 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csinl = __csinl
+#pragma weak __csinl = csinl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/csqrt.c	2014-11-25 12:58:28.977046250 -0500
+++ new/usr/src/lib/libm/common/complex/csqrt.c	2014-11-25 12:58:28.988669181 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csqrt = __csqrt
+#pragma weak __csqrt = csqrt
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/csqrtf.c	2014-11-25 12:58:29.537972216 -0500
+++ new/usr/src/lib/libm/common/complex/csqrtf.c	2014-11-25 12:58:29.637617397 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csqrtf = __csqrtf
+#pragma weak __csqrtf = csqrtf
 
 #include "libm.h"		/* sqrt/fabsf/sqrtf */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/csqrtl.c	2014-11-25 12:58:30.107287048 -0500
+++ new/usr/src/lib/libm/common/complex/csqrtl.c	2014-11-25 12:58:30.118688606 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak csqrtl = __csqrtl
+#pragma weak __csqrtl = csqrtl
 
 #include "libm.h"		/* fabsl/isinfl/sqrtl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/ctan.c	2014-11-25 12:58:30.554698465 -0500
+++ new/usr/src/lib/libm/common/complex/ctan.c	2014-11-25 12:58:30.566295841 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ctan = __ctan
+#pragma weak __ctan = ctan
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/ctanf.c	2014-11-25 12:58:30.967012165 -0500
+++ new/usr/src/lib/libm/common/complex/ctanf.c	2014-11-25 12:58:30.978595699 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ctanf = __ctanf
+#pragma weak __ctanf = ctanf
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/ctanh.c	2014-11-25 12:58:31.387692080 -0500
+++ new/usr/src/lib/libm/common/complex/ctanh.c	2014-11-25 12:58:31.399215968 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ctanh = __ctanh
+#pragma weak __ctanh = ctanh
 
 /* INDENT OFF */
 /*
--- old/usr/src/lib/libm/common/complex/ctanhf.c	2014-11-25 12:58:31.795537641 -0500
+++ new/usr/src/lib/libm/common/complex/ctanhf.c	2014-11-25 12:58:31.807351360 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ctanhf = __ctanhf
+#pragma weak __ctanhf = ctanhf
 
 #include "libm.h"		/* expf/expm1f/fabsf/sincosf/sinf/tanhf */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/ctanhl.c	2014-11-25 12:58:32.203764957 -0500
+++ new/usr/src/lib/libm/common/complex/ctanhl.c	2014-11-25 12:58:32.215181462 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ctanhl = __ctanhl
+#pragma weak __ctanhl = ctanhl
 
 #include "libm.h"	/* expl/expm1l/fabsl/isinfl/isnanl/sincosl/sinl/tanhl */
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/complex/ctanl.c	2014-11-25 12:58:32.608947093 -0500
+++ new/usr/src/lib/libm/common/complex/ctanl.c	2014-11-25 12:58:32.620372310 -0500
@@ -27,7 +27,7 @@
  * Use is subject to license terms.
  */
 
-#pragma weak ctanl = __ctanl
+#pragma weak __ctanl = ctanl
 
 #include "libm.h"
 #include "complex_wrapper.h"
--- old/usr/src/lib/libm/common/m9x/__fex_hdlr.c	2014-11-25 12:58:33.027795733 -0500
+++ new/usr/src/lib/libm/common/m9x/__fex_hdlr.c	2014-11-25 12:58:33.039772428 -0500
@@ -27,7 +27,6 @@
  * Use is subject to license terms.
  */
 
-#include "fenv_synonyms.h"
 #undef lint
 #include <signal.h>
 #include <siginfo.h>
@@ -57,10 +56,8 @@
 void (*__mt_fex_sync)() = NULL; /* for synchronization with libmtsk */
 #pragma weak __mt_fex_sync
 
-#ifdef LIBM_MT_FEX_SYNC
 void (*__libm_mt_fex_sync)() = NULL; /* new, improved version of above */
 #pragma weak __libm_mt_fex_sync
-#endif
 
 /* private variables */
 static fex_handler_t main_handlers;
@@ -145,7 +142,6 @@
 		__fex_update_te();
 }
 
-#ifdef LIBM_MT_FEX_SYNC
 /*
 *  The following function may be used for synchronization with any
 *  internal project that manages multiple threads
@@ -204,7 +200,6 @@
 		break;
 	}
 }
-#endif
 
 #if defined(__sparc)
 
@@ -842,8 +837,6 @@
 	/* synchronize with libmtsk */
 	__mt_fex_sync = __fex_sync_with_libmtsk;
 
-#ifdef LIBM_MT_FEX_SYNC
 	/* synchronize with other projects */
 	__libm_mt_fex_sync = __fex_sync_with_threads;
-#endif
 }
--- old/usr/src/lib/libm/common/m9x/__fex_i386.c	2014-11-25 12:58:33.544899359 -0500
+++ new/usr/src/lib/libm/common/m9x/__fex_i386.c	2014-11-25 12:58:33.556632575 -0500
@@ -27,7 +27,6 @@
  * Use is subject to license terms.
  */
 
-#include "fenv_synonyms.h"
 #include <stdio.h>
 #include <unistd.h>
 #include <stdlib.h>
--- old/usr/src/lib/libm/common/m9x/__fex_sparc.c	2014-11-25 12:58:34.091875040 -0500
+++ new/usr/src/lib/libm/common/m9x/__fex_sparc.c	2014-11-25 12:58:34.103577109 -0500
@@ -28,7 +28,6 @@
  */
 
 #if defined(__sparc)
-#include "fenv_synonyms.h"
 #include <stdio.h>
 #include <unistd.h>
 #include <string.h>
--- old/usr/src/lib/libm/common/m9x/__fex_sse.c	2014-11-25 12:58:34.898486431 -0500
+++ new/usr/src/lib/libm/common/m9x/__fex_sse.c	2014-11-25 12:58:34.910328143 -0500
@@ -27,7 +27,6 @@
  * Use is subject to license terms.
  */
 
-#include "fenv_synonyms.h"
 #include <ucontext.h>
 #include <fenv.h>
 #if defined(__SUNPRO_C)
--- old/usr/src/lib/libm/common/m9x/__fex_sym.c	2014-11-25 12:58:35.493079760 -0500
+++ new/usr/src/lib/libm/common/m9x/__fex_sym.c	2014-11-25 12:58:35.505668632 -0500
@@ -27,7 +27,6 @@
  * Use is subject to license terms.
  */
 
-#include "fenv_synonyms.h"
 #include <elf.h>
 #include <stdio.h>
 #include <stdlib.h>
--- old/usr/src/lib/libm/common/m9x/fdim.c	2014-11-25 12:58:35.910674696 -0500
+++ new/usr/src/lib/libm/common/m9x/fdim.c	2014-11-25 12:58:35.922548815 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fdim = __fdim
-#endif
 
 /*
  * fdim(x,y) returns x - y if x > y, +0 if x <= y, and NaN if x and
--- old/usr/src/lib/libm/common/m9x/fdimf.c	2014-11-25 12:58:36.462037497 -0500
+++ new/usr/src/lib/libm/common/m9x/fdimf.c	2014-11-25 12:58:36.473463619 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fdimf = __fdimf
-#endif
 
 #include "libm.h"	/* for islessequal macro */
 
--- old/usr/src/lib/libm/common/m9x/fdiml.c	2014-11-25 12:58:37.024259624 -0500
+++ new/usr/src/lib/libm/common/m9x/fdiml.c	2014-11-25 12:58:37.046308143 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fdiml = __fdiml
-#endif
 
 #include "libm.h"	/* for islessequal macro */
 
--- old/usr/src/lib/libm/common/m9x/feexcept.c	2014-11-25 12:58:37.496282681 -0500
+++ new/usr/src/lib/libm/common/m9x/feexcept.c	2014-11-25 12:58:37.509092127 -0500
@@ -27,19 +27,18 @@
  * Use is subject to license terms.
  */
 
-#pragma weak feclearexcept = __feclearexcept
-#pragma weak feraiseexcept = __feraiseexcept
-#pragma weak fetestexcept = __fetestexcept
-#pragma weak fegetexceptflag = __fegetexceptflag
-#pragma weak fesetexceptflag = __fesetexceptflag
-
-#pragma weak feclearexcept96 = __feclearexcept
-#pragma weak feraiseexcept96 = __feraiseexcept
-#pragma weak fetestexcept96 = __fetestexcept
-#pragma weak fegetexceptflag96 = __fegetexceptflag
-#pragma weak fesetexceptflag96 = __fesetexceptflag
+#pragma weak __feclearexcept = feclearexcept
+#pragma weak __feraiseexcept = feraiseexcept
+#pragma weak __fetestexcept = fetestexcept
+#pragma weak __fegetexceptflag = fegetexceptflag
+#pragma weak __fesetexceptflag = fesetexceptflag
+
+#pragma weak feclearexcept96 = feclearexcept
+#pragma weak feraiseexcept96 = feraiseexcept
+#pragma weak fetestexcept96 = fetestexcept
+#pragma weak fegetexceptflag96 = fegetexceptflag
+#pragma weak fesetexceptflag96 = fesetexceptflag
 
-#include "fenv_synonyms.h"
 #include <fenv.h>
 #include <sys/ieeefp.h>
 #include <ucontext.h>
--- old/usr/src/lib/libm/common/m9x/fenv.c	2014-11-25 12:58:37.902079581 -0500
+++ new/usr/src/lib/libm/common/m9x/fenv.c	2014-11-25 12:58:37.913432068 -0500
@@ -27,19 +27,17 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fex_merge_flags = __fex_merge_flags
+#pragma weak __fex_merge_flags = fex_merge_flags
 
-#pragma weak feholdexcept = __feholdexcept
-#pragma weak feupdateenv = __feupdateenv
-#pragma weak fegetenv = __fegetenv
-#pragma weak fesetenv = __fesetenv
-
-#pragma weak feholdexcept96 = __feholdexcept96
-#pragma weak feupdateenv96 = __feupdateenv
-#pragma weak fegetenv96 = __fegetenv
-#pragma weak fesetenv96 = __fesetenv
+#pragma weak __feholdexcept = feholdexcept
+#pragma weak __feupdateenv = feupdateenv
+#pragma weak __fegetenv = fegetenv
+#pragma weak __fesetenv = fesetenv
+
+#pragma weak feupdateenv96 = feupdateenv
+#pragma weak fegetenv96 = fegetenv
+#pragma weak fesetenv96 = fesetenv
 
-#include "fenv_synonyms.h"
 #include <fenv.h>
 #include <ucontext.h>
 #include <thread.h>
--- old/usr/src/lib/libm/common/m9x/feprec.c	2014-11-25 12:58:38.478082553 -0500
+++ new/usr/src/lib/libm/common/m9x/feprec.c	2014-11-25 12:58:38.489658882 -0500
@@ -27,10 +27,9 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fegetprec = __fegetprec
-#pragma weak fesetprec = __fesetprec
+#pragma weak __fegetprec = fegetprec
+#pragma weak __fesetprec = fesetprec
 
-#include "fenv_synonyms.h"
 #include <fenv.h>
 #include <ucontext.h>
 #include <thread.h>
--- old/usr/src/lib/libm/common/m9x/feround.c	2014-11-25 12:58:38.879692404 -0500
+++ new/usr/src/lib/libm/common/m9x/feround.c	2014-11-25 12:58:38.891575837 -0500
@@ -27,13 +27,11 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fegetround = __fegetround
-#pragma weak fesetround = __fesetround
+#pragma weak __fegetround = fegetround
+#pragma weak __fesetround = fesetround
 
 #pragma weak fegetround96 = __fegetround
-#pragma weak fesetround96 = __fesetround96
 
-#include "fenv_synonyms.h"
 #include <fenv.h>
 #include <ucontext.h>
 #include <thread.h>
--- old/usr/src/lib/libm/common/m9x/fex_handler.c	2014-11-25 12:58:39.314654124 -0500
+++ new/usr/src/lib/libm/common/m9x/fex_handler.c	2014-11-25 12:58:39.439043738 -0500
@@ -27,12 +27,11 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fex_get_handling = __fex_get_handling
-#pragma weak fex_set_handling = __fex_set_handling
-#pragma weak fex_getexcepthandler = __fex_getexcepthandler
-#pragma weak fex_setexcepthandler = __fex_setexcepthandler
+#pragma weak __fex_get_handling = fex_get_handling
+#pragma weak __fex_set_handling = fex_set_handling
+#pragma weak __fex_getexcepthandler = fex_getexcepthandler
+#pragma weak __fex_setexcepthandler = fex_setexcepthandler
 
-#include "fenv_synonyms.h"
 #include <fenv.h>
 #include <ucontext.h>
 #include <thread.h>
--- old/usr/src/lib/libm/common/m9x/fex_log.c	2014-11-25 12:58:40.182968593 -0500
+++ new/usr/src/lib/libm/common/m9x/fex_log.c	2014-11-25 12:58:40.194405097 -0500
@@ -27,13 +27,12 @@
  * Use is subject to license terms.
  */
 
-#pragma weak fex_get_log = __fex_get_log
-#pragma weak fex_set_log = __fex_set_log
-#pragma weak fex_get_log_depth = __fex_get_log_depth
-#pragma weak fex_set_log_depth = __fex_set_log_depth
-#pragma weak fex_log_entry = __fex_log_entry
+#pragma weak __fex_get_log = fex_get_log
+#pragma weak __fex_set_log = fex_set_log
+#pragma weak __fex_get_log_depth = fex_get_log_depth
+#pragma weak __fex_set_log_depth = fex_set_log_depth
+#pragma weak __fex_log_entry = fex_log_entry
 
-#include "fenv_synonyms.h"
 #include <stdio.h>
 #include <stdlib.h>
 #include <unistd.h>
--- old/usr/src/lib/libm/common/m9x/fma.c	2014-11-25 12:58:40.615053996 -0500
+++ new/usr/src/lib/libm/common/m9x/fma.c	2014-11-25 12:58:40.626714800 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fma = __fma
-#endif
 
 #include "libm.h"
 #include "fma.h"
--- old/usr/src/lib/libm/common/m9x/fmaf.c	2014-11-25 12:58:41.048039809 -0500
+++ new/usr/src/lib/libm/common/m9x/fmaf.c	2014-11-25 12:58:41.059507443 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fmaf = __fmaf
-#endif
 
 #include "libm.h"
 #include "fma.h"
--- old/usr/src/lib/libm/common/m9x/fmal.c	2014-11-25 12:58:41.461217520 -0500
+++ new/usr/src/lib/libm/common/m9x/fmal.c	2014-11-25 12:58:41.472826677 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fmal = __fmal
-#endif
 
 #include "libm.h"
 #include "fma.h"
--- old/usr/src/lib/libm/common/m9x/fmax.c	2014-11-25 12:58:41.967030567 -0500
+++ new/usr/src/lib/libm/common/m9x/fmax.c	2014-11-25 12:58:41.978475336 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fmax = __fmax
-#endif
 
 /*
  * fmax(x,y) returns the larger of x and y.  If just one of the
--- old/usr/src/lib/libm/common/m9x/fmaxf.c	2014-11-25 12:58:42.370926209 -0500
+++ new/usr/src/lib/libm/common/m9x/fmaxf.c	2014-11-25 12:58:42.382373821 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fmaxf = __fmaxf
-#endif
 
 /*
  * fmax(x,y) returns the larger of x and y.  If just one of the
--- old/usr/src/lib/libm/common/m9x/fmaxl.c	2014-11-25 12:58:42.787720261 -0500
+++ new/usr/src/lib/libm/common/m9x/fmaxl.c	2014-11-25 12:58:42.799116420 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fmaxl = __fmaxl
-#endif
 
 #include "libm.h"	/* for isgreaterequal macro */
 
--- old/usr/src/lib/libm/common/m9x/fmin.c	2014-11-25 12:58:43.207095002 -0500
+++ new/usr/src/lib/libm/common/m9x/fmin.c	2014-11-25 12:58:43.219022388 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fmin = __fmin
-#endif
 
 /*
  * fmin(x,y) returns the smaller of x and y.  If just one of the
--- old/usr/src/lib/libm/common/m9x/fminf.c	2014-11-25 12:58:43.614371277 -0500
+++ new/usr/src/lib/libm/common/m9x/fminf.c	2014-11-25 12:58:43.625730527 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fminf = __fminf
-#endif
 
 #include "libm.h"	/* for islessequal macro */
 
--- old/usr/src/lib/libm/common/m9x/fminl.c	2014-11-25 12:58:44.019511329 -0500
+++ new/usr/src/lib/libm/common/m9x/fminl.c	2014-11-25 12:58:44.031016781 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak fminl = __fminl
-#endif
 
 #include "libm.h"	/* for islessequal macro */
 
--- old/usr/src/lib/libm/common/m9x/frexp.c	2014-11-25 12:58:44.831065688 -0500
+++ new/usr/src/lib/libm/common/m9x/frexp.c	2014-11-25 12:58:44.842600086 -0500
@@ -27,9 +27,7 @@
  * Use is subject to license terms.
  */
 
-#if defined(ELFOBJ)
 #pragma weak frexp = __frexp
-#endif
 
 /*
  * frexp(x, exp) returns the normalized significand of x and sets
